/*-
 * #%L
 * org.corpus_tools.hexatomic.core
 * %%
 * Copyright (C) 2018 - 2020 Stephan Druskat,
 *                                     Thomas Krause
 * %%
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * #L%
 */

package org.corpus_tools.hexatomic.core;

/**
 * Contains constants for command parameters used by the core bundle.
 * 
 * @author Thomas Krause
 */
public final class CommandParams {

  private CommandParams() {
    // Private (but empty) constructor to avoid instantiation of this utility class.
  }

  public static final String EDITOR_ID =
      "org.corpus_tools.hexatomic.core.commandparameter.editor-id";
  public static final String LOCATION = "org.corpus_tools.hexatomic.core.commandparameter.location";
  public static final String FORCE_CLOSE =
      "org.corpus_tools.hexatomic.core.commandparameter.force_close";

}
