/*-
 * #%L
 * org.corpus_tools.hexatomic.grid
 * %%
 * Copyright (C) 2018 - 2020 Stephan Druskat, Thomas Krause
 * %%
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * #L%
 */

package org.corpus_tools.hexatomic.grid.internal.actions;

import org.eclipse.nebula.widgets.nattable.NatTable;

/**
 * An action that runs independently of context beyond the {@link NatTable} is belongs to.
 * 
 * @author Stephan Druskat {@literal <mail@sdruskat.net>}
 */
interface IContextFreeAction {

  /**
   * Runs the defined action, e.g., a command that is registered with a layer in the NatTable.
   * 
   * @param natTable The {@link NatTable} this action belongs to
   */
  public void run(NatTable natTable);

}
