# Summary

- [Introduction](./introduction.md)
- [Development](./development/README.md)
  - [Development setup](./development/setup.md)
    - [Getting the source code](./development/getting-the-source-code.md)
    - [Coding style and formatting](./development/coding-style.md)
    - [Creating and activating the target platform](./development/activating-target-platform.md)
    - [Running and debugging Hexatomic in Eclipse](./development/running-debugging-with-eclipse.md)
  - [Workflow](./development/workflow/README.md)
    - [Repositories](./development/workflow/repositories.md)
  - [Architecture](./development/architecture/README.md)
  - [Data model](./development/data-model/README.md)
  - [Logging and error handling](./development/logging-error-handling.md)
  - [Adding a new editor](./development/add-new-editor.md)
  - [Automated tests](./development/automated-tests/README.md)
    - [Adding a test bundle](./development/automated-tests/adding-test-bundle.md)
    - [Adding a test case](./development/automated-tests/adding-test-case.md)
    - [Mocking injected dependencies](./development/automated-tests/mocking-injected-dependencies.md)
    - [UI integration tests](./development/automated-tests/ui-integration-tests.md)
  - [Documentation](./development/documentation/README.md)
- [Maintenance](./maintenance/README.md)
  - [Taking over as maintainer](./maintenance/taking-over/README.md)
  - [Versioning](./maintenance/versioning/README.md)
  - [Continuous integration](./maintenance/continuous-integration/README.md)
  - [Working with contributions](maintenance/contributions/README.md)
  - [Licensing and citation](./maintenance/licensing/README.md)
  - [Releases](./maintenance/releases/README.md)
  - [Periodic unreviewed code triage](./maintenance/unreviewed-code-triage.md)
  - [Repository maintenance](./maintenance/repository/README.md)
    - [Template files](./maintenance/repository/templates.md)
  - [Prepare end-of-maintenance](./maintenance/prepare-end/README.md)
- [Common issues](./common-issues/README.md)
- [Governance](./governance.md)
- [License](./LICENSE.md)
