# Introduction

This is documentation for developers and maintainers of Hexatomic.

If you are looking for documentation of how to *use* Hexatomic, 
please refer to the [**user documentation**](https://hexatomic.github.io/hexatomic/user/).

## Contributing to Hexatomic development

Hexatomic is an [open source project](https://github.com/hexatomic/hexatomic/tree/main/LICENSE). 
We welcome contributions from the community.

If you want to **contribute code** to Hexatomic, please make yourself familiar with the general [***contributing guidelines***](https://github.com/hexatomic/hexatomic/tree/main/CONTRIBUTING.md) first, then continue to read this documentation.

The contributing guidelines also include information on how to **report a bug**, **request a feature**, etc.

## Requirements

Hexatomic is an Eclipse e4 application, built on the **Eclipse Platform** for rich client applications, and implemented in **Java**.
It is built with **Apache Maven** and the **Eclipse Tycho** extension, and versioned with **Git**.

It will be easier for you to contribute to Hexatomic if you already have some experience with these technologies.

Here are links to some resources that can help you get started:

- [Java tutorials](http://web.archive.org/web/20190815125800/https://docs.oracle.com/javase/tutorial/) by Oracle
- [Maven in 5 minutes - Tutorial](http://web.archive.org/web/20190815125723/https://maven.apache.org/guides/getting-started/maven-in-five-minutes.html) by the Apache Software Foundation
- [Eclipse RCP (Rich Client Platform) - Tutorial](http://web.archive.org/web/20190807184652/https://www.vogella.com/tutorials/EclipseRCP/article.html) by Lars Vogel
- [Eclipse Tycho for building plug-ins, OSGi bundles and Eclipse applications - Tutorial](http://web.archive.org/web/20190801113418/https://www.vogella.com/tutorials/EclipseTycho/article.html) by 
Lars Vogel and Simon Scholz
- [Standard Widget Toolkit (SWT)](https://www.eclipse.org/swt/) for developing user interfaces in Eclipse-based applications
- [Version Control with Git - Software Carpentry lesson](https://swcarpentry.github.io/git-novice/) by Daisie Huang and Ivan Gonzalez[^git-cite]

## License 

![](https://img.shields.io/badge/CC0-1.0%20Universal-yellowgreen?logo=creative-commons)  
Unless otherwise noted, this documentation is licensed under a [CC0 1.0 Universal (CC0 1.0)](https://creativecommons.org/publicdomain/zero/1.0/legalcode) license. Please see the section [License](./LICENSE.md) for details.

---

[^git-cite]: Daisie Huang and Ivan Gonzalez (eds): "Software Carpentry: Version Control with Git." Version 2016.06, June 2016, <https://github.com/swcarpentry/git-novice>, doi:<https://doi.org/10.5281/zenodo.57467>
