# Maintenance

This section contains the documentation for Hexatomic maintenance work.

The maintainer is *the* central position in the Hexatomic software project.
They are responsible for completing the following tasks.
All tasks should be completed in a *timely fashion*, and based on the Hexatomic code of conduct.

## <i class="fa fa-cogs"></i> Maintenance work

- Ensure that Hexatomic always builds without errors in the `main` and `develop` branches
- Fix security issues and bugs
- Maintain templates, configuration files, community files (`README.md`, `CONTRIBUTING.md`, `CODE_OF_CONDUCT.md`, etc.), licenses, etc.

## <i class="fa fa-plus-square"></i> Contributions

- Ensure that citation information is always up-to-date (in `CITATION.cff`)
- Ensure that the contributors list is always up-to-date (in `README.md`, maintained via the *All Contributors* bot)
- Maintain pull requests

## <i class="fa fa-search-plus"></i> Code review

- Perform code reviews
- Document & triage unreviewed code

## <i class="fa fa-question-circle"></i> Issues

- Communicate with issue authors: answer questions, and suggest fixes, or make fixes themself if possible or necessary
- Do issue housekeeping: check open issues regularly, and fix and/or close where possible

## <i class="fa fa-rocket"></i> Releases

- Release Hexatomic
- Publish new releases

## <i class="fa fa-book"></i> Documentation

- Maintain user documentation and ensure that it is up-to-date with each contribution
- Maintain developer and maintainer documentation and ensure that it is up-to-date with each contribution
- Document the current state of practice for developing and maintaining Hexatomic

## <i class="fa fa-comments"></i> Communication & community work

- Publicize releases to the relevant stakeholders
  - Includes emails to the user mailing list `hexatomic-users@lists.hu-berlin.de`
- Redirect questions to the issue tracker
- Update external resources
- Work with and build the community of users and developers

## <i class="fa fa-hand-o-right"></i> Prepare maintainer changes

- Prepare the repositories for takeover by a new maintainer
- Document takeover by a new maintainer
