# Troubleshooting Hexatomic & getting help

Please go through the sections on this page to see if one is what you are looking for. If you don't find what you are looking for here, please report the issue in Hexatomic's issue tracker. The section "[Reporting issues](#reporting-issues)" explains how this is done (it's quick and easy).

## Sections

> <i class="fa fa-question-circle"></i> [How do I do X? Why doesn’t Y work? Where can I go to get help?](#how-do-i-do-x-why-doesnt-y-work-where-can-i-go-to-get-help)  
> <i class="fa fa-book"></i> [The documentation didn't help me!](#the-documentation-didnt-help-me)  
> <i class="fa fa-bug"></i> [I've found a bug!](#ive-found-a-bug)  
> <i class="fa fa-code"></i> [I'm looking for Hexatomic's source code!](#im-looking-for-hexatomics-source-code)  
> <i class="fa fa-phone"></i> [I need to contact the Hexatomic team!](#i-need-to-contact-the-hexatomic-team)

## How do I do X? Why doesn’t Y work? Where can I go to get help?

This user documentation is the one-stop source of information on using Hexatomic, and can hopefully help you.

If you have read through it and haven't found an answer to your question, you can write to the <nobr>[**<i class="fa fa-envelope"></i> Hexatomic User Mailing List**](https://sympa.cms.hu-berlin.de/sympa/info/hexatomic-users)</nobr> and ask your question there. (Please don't use the mailing list to report bugs, see [*I've found a bug!*](#ive-found-a-bug) instead.)

If you have an idea how we could make the documentation better so that the next person with your question can get it answered in the documentation, please let us know! "[The documentation didn't help me!](#the-documentation-didnt-help-me)" below shows you how to do this.

## The documentation didn't help me!

This user documentation is the one-stop source of information on using Hexatomic.

If you find that something is missing from the documentation, or that it could be made better in any way,
please let us know! The way to do this is through reporting this issue on Hexatomic's GitHub page (cf. [below](#reporting-issues) for how to do this).

## I've found a bug!

If you think you have found a bug, or Hexatomic does not work the way you have expected after reading the documentation, or Hexatomic doesn't work at all on your machine,
please let us know! The way to do this is through reporting this issue on Hexatomic's GitHub page (cf. [below](#reporting-issues) for how to do this).

## I'm looking for Hexatomic's source code!

It's open source and can be found online at <https://github.com/hexatomic/hexatomic>.

## I need to contact the Hexatomic team!

We'd love to hear from you. Please write us an email at `hexatomic [at] corpus-tools.org`.

# Reporting issues

We use GitHub, a web-based platform for collaboration on software, to develop Hexatomic.
The Hexatomic GitHub page is at <i class="fa fa-github"></i> <https://github.com/hexatomic/hexatomic>.

This is the place where you can report an issue (a bug, missing documentation, etc.) and suggest new features.

To do so, you need a GitHub user account. If you don't have one yet, you can register for one at <https://github.com/join>. It's free!

First of all, please read the <i class="fa fa-book"></i> [*Contributing guidelines*](https://github.com/hexatomic/hexatomic/tree/main/CONTRIBUTING.md). It's a quick read, and the guidelines contain important details.

Then, when you are logged in, go to <i class="fa fa-pencil"></i> <https://github.com/hexatomic/hexatomic/issues/new> to create a new issue.
You will need to include the Hexatomic version in the issue.
If you are unsure what version of Hexatomic you are running, you can click *About* in the *Help* menu to show the **About dialog** which shows you the version and build number.

Alternatively, you can click the link *Create a bug report to notify us of an error in Hexatomic.* in the **About dialog**.
This will open the issue creation page in a browser and prepopulate it with the build number of the version you are using, and an issue report form that you can fill in.
